<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:03 CET 2009 -->
<TITLE>
AbstractGenericArray
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.util.genarr.AbstractGenericArray class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="AbstractGenericArray";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractGenericArray.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.ArrayListIterator.html" title="class in ch.javasoft.util.genarr"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/genarr/AbstractGenericArray.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractGenericArray.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_ch.javasoft.util.genarr.AbstractArrayIterable">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.util.genarr</FONT>
<BR>
Class AbstractGenericArray&lt;T&gt;</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html" title="class in ch.javasoft.util.genarr">ch.javasoft.util.genarr.AbstractArrayIterable</A>&lt;T&gt;
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.util.genarr.AbstractGenericArray&lt;T&gt;</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;T&gt;, <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;T&gt;, <A HREF="../../../../ch/javasoft/util/genarr/KnownLengthIterable.html" title="interface in ch.javasoft.util.genarr">KnownLengthIterable</A>&lt;T&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;T&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;T&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;T&gt;</DD>
</DL>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="class in ch.javasoft.util.genarr">GenericDynamicArray</A>, <A HREF="../../../../ch/javasoft/util/genarr/GenericFixSizeArray.html" title="class in ch.javasoft.util.genarr">GenericFixSizeArray</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public abstract class <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.41"><B>AbstractGenericArray&lt;T&gt;</B></A><DT>extends <A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html" title="class in ch.javasoft.util.genarr">AbstractArrayIterable</A>&lt;T&gt;<DT>implements <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;T&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;T&gt;</DL>
</PRE>

<P>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="nested_classes_inherited_from_class_ch.javasoft.util.genarr.AbstractArrayIterable"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from class ch.javasoft.util.genarr.<A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html" title="class in ch.javasoft.util.genarr">AbstractArrayIterable</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.ArrayListIterator.html" title="class in ch.javasoft.util.genarr">AbstractArrayIterable.ArrayListIterator</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#EMPTY">EMPTY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#AbstractGenericArray()">AbstractGenericArray</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#AbstractGenericArray(ch.javasoft.util.genarr.GenericArray)">AbstractGenericArray</A></B>(<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;&nbsp;genericArray)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#AbstractGenericArray(java.lang.Iterable)">AbstractGenericArray</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;&nbsp;iterable)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#AbstractGenericArray(T[])">AbstractGenericArray</A></B>(<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>[]&nbsp;array)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#add(int, T)">add</A></B>(int&nbsp;index,
       <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&nbsp;element)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#add(T)">add</A></B>(<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&nbsp;obj)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#addAll(java.util.Collection)">addAll</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;&nbsp;coll)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#addAll(int, java.util.Collection)">addAll</A></B>(int&nbsp;index,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;&nbsp;coll)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#addAll(java.lang.Iterable)">addAll</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;&nbsp;it)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#addAll(T[])">addAll</A></B>(<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>[]&nbsp;arr)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#contains(java.lang.Object)">contains</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;obj)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#containsAll(java.util.Collection)">containsAll</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;?&gt;&nbsp;coll)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#first()">first</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/ListIterator.html" title="class or interface in java.util">ListIterator</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#iterator(int, int)">iterator</A></B>(int&nbsp;start,
                 int&nbsp;end)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#last()">last</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/ListIterator.html" title="class or interface in java.util">ListIterator</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#listIterator()">listIterator</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/ListIterator.html" title="class or interface in java.util">ListIterator</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#listIterator(int)">listIterator</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#newArray(int)">newArray</A></B>(int&nbsp;size)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#remove(int)">remove</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#remove(java.lang.Object)">remove</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;obj)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#removeAll(java.util.Collection)">removeAll</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;?&gt;&nbsp;c)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#retainAll(java.util.Collection)">retainAll</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;?&gt;&nbsp;c)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#set(int, T[])">set</A></B>(int&nbsp;offset,
       <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>[]&nbsp;arr)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#size()">size</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#swap(int, int)">swap</A></B>(int&nbsp;indexA,
         int&nbsp;indexB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.genarr.AbstractArrayIterable"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.util.genarr.<A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html" title="class in ch.javasoft.util.genarr">AbstractArrayIterable</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#equals(java.lang.Object)">equals</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#get(int)">get</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#hashCode()">hashCode</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#indexOf(java.lang.Object)">indexOf</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#isEmpty()">isEmpty</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#iterable(int, int)">iterable</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#iterator()">iterator</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#lastIndexOf(java.lang.Object)">lastIndexOf</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#length()">length</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#set(int, T)">set</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#toArray()">toArray</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#toArray(java.lang.Class)">toArray</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#toArray(TT[])">toArray</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#toGenericArray(boolean)">toGenericArray</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.genarr.GenericArray"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.util.genarr.<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#copyFrom(ch.javasoft.util.genarr.GenericArray, int, int, int)">copyFrom</A>, <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#copyTo(ch.javasoft.util.genarr.GenericArray, int, int, int)">copyTo</A>, <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#get(int)">get</A>, <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#isEmpty()">isEmpty</A>, <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#iterable(int, int)">iterable</A>, <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#iterator()">iterator</A>, <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#length()">length</A>, <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#set(int, java.lang.Iterable)">set</A>, <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#set(int, T)">set</A>, <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#set(int, T[], int, int)">set</A>, <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#toArray()">toArray</A>, <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#toArray(TT[])">toArray</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.genarr.ArrayIterable"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.util.genarr.<A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#indexOf(java.lang.Object)">indexOf</A>, <A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#lastIndexOf(java.lang.Object)">lastIndexOf</A>, <A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#toArray(java.lang.Class)">toArray</A>, <A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#toGenericArray(boolean)">toGenericArray</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.util.List"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#clear()" title="class or interface in java.util">clear</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#equals(java.lang.Object)" title="class or interface in java.util">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#hashCode()" title="class or interface in java.util">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#indexOf(java.lang.Object)" title="class or interface in java.util">indexOf</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#lastIndexOf(java.lang.Object)" title="class or interface in java.util">lastIndexOf</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#subList(int, int)" title="class or interface in java.util">subList</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="EMPTY"><!-- --></A><H3>
EMPTY</H3>
<PRE>
protected static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[] <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.43"><B>EMPTY</B></A></PRE>
<DL>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="AbstractGenericArray()"><!-- --></A><H3>
AbstractGenericArray</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.45"><B>AbstractGenericArray</B></A>()</PRE>
<DL>
</DL>
<HR>

<A NAME="AbstractGenericArray(java.lang.Object)"><!-- --></A><A NAME="AbstractGenericArray(T[])"><!-- --></A><H3>
AbstractGenericArray</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.49"><B>AbstractGenericArray</B></A>(<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>[]&nbsp;array)</PRE>
<DL>
</DL>
<HR>

<A NAME="AbstractGenericArray(ch.javasoft.util.genarr.GenericArray)"><!-- --></A><H3>
AbstractGenericArray</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.53"><B>AbstractGenericArray</B></A>(<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;&nbsp;genericArray)</PRE>
<DL>
</DL>
<HR>

<A NAME="AbstractGenericArray(java.lang.Iterable)"><!-- --></A><H3>
AbstractGenericArray</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.57"><B>AbstractGenericArray</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;&nbsp;iterable)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="iterator(int, int)"><!-- --></A><H3>
iterator</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/ListIterator.html" title="class or interface in java.util">ListIterator</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt; <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.62"><B>iterator</B></A>(int&nbsp;start,
                                int&nbsp;end)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#iterator(int, int)">iterator</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#iterator(int, int)">iterator</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#iterator(int, int)">iterator</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html" title="class in ch.javasoft.util.genarr">AbstractArrayIterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="set(int,java.lang.Object)"><!-- --></A><A NAME="set(int, T[])"><!-- --></A><H3>
set</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.100"><B>set</B></A>(int&nbsp;offset,
                <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>[]&nbsp;arr)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#set(int, T[])">set</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addAll(java.lang.Iterable)"><!-- --></A><H3>
addAll</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.103"><B>addAll</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;&nbsp;it)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addAll(java.lang.Object)"><!-- --></A><A NAME="addAll(T[])"><!-- --></A><H3>
addAll</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.107"><B>addAll</B></A>(<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>[]&nbsp;arr)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="first()"><!-- --></A><H3>
first</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A> <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.111"><B>first</B></A>()
        throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#first()">first</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="last()"><!-- --></A><H3>
last</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A> <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.120"><B>last</B></A>()
       throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#last()">last</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="swap(int, int)"><!-- --></A><H3>
swap</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.130"><B>swap</B></A>(int&nbsp;indexA,
                 int&nbsp;indexB)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#swap(int, int)">swap</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="add(int,java.lang.Object)"><!-- --></A><A NAME="add(int, T)"><!-- --></A><H3>
add</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.142"><B>add</B></A>(int&nbsp;index,
                <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&nbsp;element)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#add(int, E)" title="class or interface in java.util">add</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="add(java.lang.Object)"><!-- --></A><A NAME="add(T)"><!-- --></A><H3>
add</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.146"><B>add</B></A>(<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&nbsp;obj)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#add(E)" title="class or interface in java.util">add</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#add(E)" title="class or interface in java.util">add</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addAll(java.util.Collection)"><!-- --></A><H3>
addAll</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.151"><B>addAll</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;&nbsp;coll)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#addAll(java.util.Collection)" title="class or interface in java.util">addAll</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#addAll(java.util.Collection)" title="class or interface in java.util">addAll</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addAll(int, java.util.Collection)"><!-- --></A><H3>
addAll</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.156"><B>addAll</B></A>(int&nbsp;index,
                      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;&nbsp;coll)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#addAll(int, java.util.Collection)" title="class or interface in java.util">addAll</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="contains(java.lang.Object)"><!-- --></A><H3>
contains</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.161"><B>contains</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;obj)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#contains(java.lang.Object)" title="class or interface in java.util">contains</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#contains(java.lang.Object)" title="class or interface in java.util">contains</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="containsAll(java.util.Collection)"><!-- --></A><H3>
containsAll</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.165"><B>containsAll</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;?&gt;&nbsp;coll)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#containsAll(java.util.Collection)" title="class or interface in java.util">containsAll</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#containsAll(java.util.Collection)" title="class or interface in java.util">containsAll</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="remove(java.lang.Object)"><!-- --></A><H3>
remove</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.172"><B>remove</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;obj)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#remove(java.lang.Object)" title="class or interface in java.util">remove</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#remove(java.lang.Object)" title="class or interface in java.util">remove</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="remove(int)"><!-- --></A><H3>
remove</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A> <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.179"><B>remove</B></A>(int&nbsp;index)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#remove(int)" title="class or interface in java.util">remove</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="removeAll(java.util.Collection)"><!-- --></A><H3>
removeAll</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.183"><B>removeAll</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;?&gt;&nbsp;c)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="retainAll(java.util.Collection)"><!-- --></A><H3>
retainAll</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.187"><B>retainAll</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;?&gt;&nbsp;c)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="listIterator()"><!-- --></A><H3>
listIterator</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/ListIterator.html" title="class or interface in java.util">ListIterator</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt; <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.191"><B>listIterator</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#listIterator()" title="class or interface in java.util">listIterator</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="listIterator(int)"><!-- --></A><H3>
listIterator</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/ListIterator.html" title="class or interface in java.util">ListIterator</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt; <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.195"><B>listIterator</B></A>(int&nbsp;index)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#listIterator(int)" title="class or interface in java.util">listIterator</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="size()"><!-- --></A><H3>
size</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.199"><B>size</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#size()" title="class or interface in java.util">size</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#size()" title="class or interface in java.util">size</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.204"><B>toString</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="newArray(int)"><!-- --></A><H3>
newArray</H3>
<PRE>
protected <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="type parameter in AbstractGenericArray">T</A>[] <A HREF="../../../../src-html/ch/javasoft/util/genarr/AbstractGenericArray.html#line.217"><B>newArray</B></A>(int&nbsp;size)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractGenericArray.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.ArrayListIterator.html" title="class in ch.javasoft.util.genarr"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/genarr/AbstractGenericArray.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractGenericArray.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_ch.javasoft.util.genarr.AbstractArrayIterable">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
